Bug 256153 - devel/magit: Update to 3.0.0
Summary: devel/magit: Update to 3.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL: https://emacsair.me/2021/05/25/magit-...
Keywords:
Depends on:
Blocks: 255963 256155
  Show dependency treegraph
 
Reported: 2021-05-25 16:36 UTC by Yasuhiro Kimura
Modified: 2021-05-30 21:19 UTC (History)
2 users (show)

See Also:


Attachments
Patch file (4.92 KB, patch)
2021-05-25 16:36 UTC, Yasuhiro Kimura
yasu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2021-05-25 16:36:50 UTC
Created attachment 225250 [details]
Patch file

* Update to 3.0.0.
* Pet portclippy.
* Reformat Makefile with portfmt.

Release Note: https://emacsair.me/2021/05/25/magit-3.0/
Comment 1 commit-hook freebsd_committer 2021-05-30 21:19:16 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2abb92885889cbeb54f116db4f7c02d28514a5d1

commit 2abb92885889cbeb54f116db4f7c02d28514a5d1
Author:     Yasuhiro Kimura <yasu@utahime.org>
AuthorDate: 2021-05-30 21:17:45 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-05-30 21:17:45 +0000

    devel/magit: Update to 3.0.0

    - Pet portclippy
    - Reformat Makefile with portfmt

    PR:             256153
    Submitted by:   Yasuhiro Kimura <yasu@utahime.org> (maintainer)
    Approved by:    lwhsu (mentor)

 devel/magit/Makefile  | 40 +++++++++++++++++++++++-----------------
 devel/magit/distinfo  |  6 +++---
 devel/magit/pkg-plist |  8 ++++++--
 3 files changed, 32 insertions(+), 22 deletions(-)
Comment 2 Guangyuan Yang freebsd_committer 2021-05-30 21:19:49 UTC
Committed, thanks!